{% extends 'base.html.twig' %}

{% block title %}Detalle Producción{% endblock %}

{% block stylesheets %}
    {{ parent()}}
    <link rel="stylesheet" href="../assets/css/principal.css" type="text/css">
{% endblock %}   

{% block body %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

    <div class="example-wrapper">
        {%if edit is defined %}
            <h1>Editar Producción</h1>
        {%else%}    
            <h1> Crear nueva Producción </h1>
        {% endif %}
        {{ form_start(form)}}
        {{ form_row(form.titulo)}}
        {{ form_row(form.estreno)}}
        {{ form_row(form.puntuacion)}}
        {{ form_row(form.vos)}}
        {{ form_row(form.nacionalidad)}}
        {{ form_row(form.vista)}}

        <div class="tags" data-prototype="{{ form_widget(form.idGenero.vars.prototype)|e('html_attr') }}">
            Generos:
            {{form_widget(form.idGenero)}}
        </div>
            {{form_row(form.idArtista)}}
        {{ form_end(form)}}

    </div>
{% endblock %}

{% block javascripts %}
    <script>
        
      $('form[name="produccion"]').submit(function(){
         var confirma=confirm("¿Deseas actualizar o crear la producción?"); 
         return confirma;
      });
        
        
        //añadir nuevos géneros
        var $collectionHolder;

// setup an "add a tag" link
        var $addTagButton = $('<button type="button" class="add_tag_link">Añadir Género</button>');
        var $newLinkLi = $('<div></div>').append($addTagButton);

        jQuery(document).ready(function () {
            // Get the ul that holds the collection of tags
            $collectionHolder = $('div.tags');

            // add the "add a tag" anchor and li to the tags ul
            $collectionHolder.append($newLinkLi);

            // count the current form inputs we have (e.g. 2), use that as the new
            // index when inserting a new item (e.g. 2)
            $collectionHolder.data('index', $collectionHolder.find(':input').length-1);

            $addTagButton.on('click', function (e) {
                // add a new tag form (see next code block)
                addTagForm($collectionHolder, $newLinkLi);
            });
        });

        function addTagForm($collectionHolder, $newLinkLi) {
            // Get the data-prototype explained earlier
            var prototype = $collectionHolder.data('prototype');

            // get the new index
            var index = $collectionHolder.data('index');

            var newForm = prototype;
            // You need this only if you didn't set 'label' => false in your tags field in TaskType
            // Replace '__name__label__' in the prototype's HTML to
            // instead be a number based on how many items we have
            // newForm = newForm.replace(/__name__label__/g, index);

            // Replace '__name__' in the prototype's HTML to
            // instead be a number based on how many items we have
            newForm = newForm.replace(/__name__/g, index);

            // increase the index with one for the next item
            $collectionHolder.data('index', index + 1);

            // Display the form in the page in an li, before the "Add a tag" link li
            var $newFormLi = $('<li></li>').append(newForm);
            $newLinkLi.before($newFormLi);
        }
    </script>
{% endblock %}

